using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TimeClock.DbOp.CustomShow
{
    public partial class BirthDayUI : UserControl
    {
        public BirthDayUI()
        {
            InitializeComponent();
        }
        /// <summary>
        /// 标题名称
        /// </summary>
        [Description("标题名称")]
        public string Title
        {
            get
            {
                return LblName.Text;
            }
            set
            {
                LblName.Text = value;
            }
        }
        /// <summary>
        /// 日期字符串
        /// </summary>
        [Description("日期字符串")]
        public string DateStr
        {
            get
            {
                return LblDateStr.Text;
            }
            set
            {
                LblDateStr.Text = value;
            }
        }
        /// <summary>
        /// 岁数字符串
        /// </summary>
        [Description("岁数字符串")]
        public string Age
        {
            get
            {
                return LblValue.Text;
            }
            set
            {
                LblValue.Text = value;
                label1.Left = LblValue.Left + LblValue.Width;
            }
        }
        /// <summary>
        /// 岁数单位
        /// </summary>
        [Description("岁数单位")]
        public string AgeUnit
        {
            get
            {
                return label1.Text;
            }
            set
            {
                label1.Text = value;
            }
        }
    }
}
